Subject: Re: [Bitcoin-development] Detecting OP_EVAL scriptPubKeys that are to you

From: Michael Grønager <[email-masked]>
Date: Mon, 31 Oct 2011 09:50:49 +0100

> 
> How would I know that unless you told me?

At least you would have a hunch that something like that had happened as one of your addresses had been part of a transaction (at least in my setup it would pop up immediately...).

> 
> I think the right long-term solution is moving away from bitcoin
> addresses as 'pay-to entity' and create an infrastructure where we're
> paying people or organizations.

I am not sure what you mean by this - just recall that the semi anonymously feature of bitcoin is one of its key features.

> But in the short term, I think there
> are lots of benefits to creating a new type of bitcoin address built
> on top of OP_EVAL that will be very easy for all of our existing
> infrastructure to support.

Still, how do you solve the end less expansions of bitcoin addresses that each, depending of a leading 1, 2, 3... means a quite specific script inside the OP_EVAL ??? Its not esthetic...

Cheers,

M

> -- 
> --
> Gavin Andresen